import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Definition } from '@xdf/gallery';
import { GoalForActionService } from '../services/goalforaction.service';

@Injectable()
export class GoalActionResolver implements Resolve<Definition> {
    constructor(protected service: GoalForActionService) {
    }

    resolve(route: ActivatedRouteSnapshot): any {
        const sortDirection = 'asc';
        const columnName = 'description';
        const filterExpresion = '';
        // return this.service.getByCaleId(route.queryParams.id, sortDirection, columnName, filterExpresion);
        
    }

}